eslint-config-iplayer-legacy

    2.1.0 • Public • Published

    eslint-config-iplayer-legacy

    Shared eslint config for iPlayer Javascript that needs to support legacy browsers

    Notable rule exceptions

    • Warns when cyclomatic complex exceeds 5
    • 'use strict' is only set as a warning

    Installation

    npm install --save-dev eslint-config-iplayer-legacy
    

    Usage

    Add the following to your package.json:

    {
      "eslintConfig": {
        "extends": "iplayer-legacy"
      }
    }

    Install

    npm i eslint-config-iplayer-legacy

    DownloadsWeekly Downloads

    70

    Version

    2.1.0

    License

    APACHE-2

    Unpacked Size

    27.9 kB

    Total Files

    17

    Last publish

    Collaborators

    • anthonycossins
    • andymsukbbc
    • robpaton
    • jackpalmerbbc
    • sbason
    • dineshraj
    • yezen-alnafei
    • henrywarne
    • chloewakefieldd
    • urvashi_bbc
    • caporp01
    • swatitabib
    • ianarundale
    • milkywaynian
    • arshi
    • mind-aman
    • vanshik26